Lavalite package that provides group management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/group`.

    "litecms/group": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Group\Providers\GroupServiceProvider::class,

And also add it to alias

    'Group'  => Litecms\Group\Facades\Group::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\GroupTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Group\Providers\GroupServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Group\Providers\GroupServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Group\Providers\GroupServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/group/{modulename}

**User**

    http://path-to-route-folder/user/group/{modulename}

**Public**

    http://path-to-route-folder/groups


### API endpoints

**List**

    http://path-to-route-folder/api/user/group/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/group/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/group/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/group/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/group/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/group/{modulename}/{slug}
    METHOD: GET